Bug 220489 - Xen services need to survive a xend restart
Xen services need to survive a xend restart
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-21 13:39 EST by Stephen Tweedie
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 19:31:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Tweedie 2006-12-21 13:39:54 EST
Description of problem:
Various xend services may not survive "service xend restart":

> > A xend restart is already broken in many ways - i don;t think we should
> > support it unless all guests are shutdown. eg,  tapdisk processes don't
> > get cleaned up (resulting zombie guest upon shutdown),  qemu-dm processes
> > don't get cleaned up (more zombies), xen-vncfb didn't used to get cleaned
> > up, but i think new pvfb makes them auto exit now avoiding zombies. 
> > Generally its all very fragile for restarts

Ideally everything spawned by Xen should automatically detect when its
corresponding domain has shutdown & exit itself. This involves some kind
of crazy xenstore/xenbus watch setup which its totally confusing to me.
So, yes, if anything has any clue how to make this work, it'd be good.
Comment 1 Red Hat Bugzilla 2007-07-24 20:04:19 EDT
change QA contact
Comment 2 Daniel Berrange 2007-09-24 19:31:52 EDT
Fixed in F7 and rawhide. Won't fix for FC6

Note You need to log in before you can comment on or make changes to this bug.